--- configure.in.org	2004-03-01 12:26:11.000000000 -0800
+++ configure.in	2006-06-26 12:37:08.000000000 -0700
@@ -160,6 +160,8 @@
     LIBNET_CONFIG_DEFINES="-DHAVE_SOCKADDR_SA_LEN"
     ;;
 
+i?86-*-*darwin*)
    AC_DEFINE(LIBNET_BSDISH_OS)
    AC_DEFINE(LIBNET_BSD_BYTE_SWAP)
    LIBNET_CONFIG_DEFINES="-DLIBNET_BSDISH_OS -DLIBNET_BSD_BYTE_SWAP"
    ;;
+
 *solaris*)
     AC_DEFINE(HAVE_SOLARIS)
     AC_CHECK_HEADERS(sys/bufmod.h sys/dlpi_ext.h)
